package com.wrj.driver.server.controller;


import com.wrj.driver.server.dto.ChapterQueryDto;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.IWrjChapterService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 章节
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Api(tags = "章节")
@RestController
@RequestMapping("/wrjChapter")
@Slf4j
public class WrjChapterController {

    @Autowired
    private IWrjChapterService wrjChapterService;

    @ApiOperation("根据驾驶员类型查询章节")
    @PostMapping("/queryChapter")
    public BaseResponse queryChapter(@RequestBody ChapterQueryDto queryDto) {
        log.info("获取章节======>queryDto:{}", queryDto);
        return BaseResponse.success(wrjChapterService.queryChapter(queryDto));
    }


}
