package com.wrj.driver.server.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.wrj.driver.server.entity.WrjDriverType;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.IWrjDriverTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 车型分类; 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Api(tags = "无人记驾驶员类型")
@RestController
@RequestMapping("/wrjDriverType")
@Slf4j
public class WrjDriverTypeController {

    @Autowired
    private IWrjDriverTypeService driverTypeService;

    @ApiOperation("获取无人机驾驶员类型列表")
    @GetMapping("/list")
    public BaseResponse list() {
        return BaseResponse.success(driverTypeService.list(new LambdaQueryWrapper<WrjDriverType>()
                .eq(WrjDriverType::getIsActive, "0")));
    }

}
