package com.wrj.driver.server.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 题库查询入参;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@Accessors(chain = true)
@ApiModel("题目查询入参")
public class QuestionQueryDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 无人记驾驶员类型
     */
    @ApiModelProperty("无人记驾驶员类型")
    private Integer driverTypeId;

    /**
     * 题目标识
     */
    @ApiModelProperty("题目标识")
    private Long questionId;

    /**
     * 题目标识列表
     */
    @ApiModelProperty("题目标识列表")
    private List<Long> questionIdList;

    /**
     * 章节标识
     */
    @ApiModelProperty("章节标识")
    private Integer chapter;

    /**
     * 题型: 单选 多选 判断题
     */
    @ApiModelProperty("题型: 单选 多选 判断题")
    private String type;

    /**
     * 获取题数
     */
    @ApiModelProperty("获取题数")
    private int Num;

    /**
     * 题目
     */
    @ApiModelProperty("题目")
    private String question;

    /**
     * 是否是图片
     */
    @ApiModelProperty("是否是图片")
    private Integer isImage;

}
