package com.wrj.driver.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author 曹林
 * @description 成绩查询入参
 * @create 2023/8/14 21:22
 */
@Data
@Accessors(chain = true)
@ApiModel("成绩查询入参")
public class TestQueryDto {

    /**
     * 车型标识
     */
    @ApiModelProperty(value = "无人机驾驶员类型标识")
    @NotNull(message = "无人机驾驶员类型标识不能为空")
    private Integer driverTypeId;


    @ApiModelProperty(value = "用户id")
    private Long userId;
}
