package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wrj_chapter")
public class WrjChapter implements Serializable {

    /**
     * 章节id
     */
    @TableId("chapter_id")
    private Integer chapterId;

    /**
     * 章节名
     */
    @TableField("chapter_name")
    private String chapterName;


    /**
     * 状态 0 正常 1 禁用
     */
    @TableField("is_active")
    private String isActive;

    /**
     * 排序
     */
    @TableField("sort")
    private Integer sort;

    /**
     * summary
     */
    @TableField("summary")
    private String summary;

    /**
     * 创建者
     */
    @TableField("creator")
    private String creator;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    @TableField("updater")
    private String updater;


    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

}
