package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 题库;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wrj_question")
public class WrjQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题目标识
     */
    @TableId(value = "question_id", type = IdType.AUTO)
    private Long questionId;

    /**
     * 题目内容
     */
    @TableField("question")
    private String question;

    /**
     * 选项A
     */
    @TableField("choose_a")
    private String chooseA;

    /**
     * 选项B
     */
    @TableField("choose_b")
    private String chooseB;

    /**
     * 选项C
     */
    @TableField("choose_c")
    private String chooseC;

    /**
     * 选项D
     */
    @TableField("choose_d")
    private String chooseD;

    /**
     * 选项E
     */
    @TableField("choose_e")
    private String chooseE;

    /**
     * 选项F
     */
    @TableField("choose_f")
    private String chooseF;

    /**
     * 选项G
     */
    @TableField("choose_g")
    private String chooseG;

    /**
     * 正确答案
     */
    @TableField("true_answer")
    private String trueAnswer;

    /**
     * 题目图片url
     */
    @TableField("image_url")
    private String imageUrl;


    /**
     * 最佳回答
     */
    @TableField("best_answer")
    private String bestAnswer;

    /**
     * 答题技巧
     */
    @TableField("skill_info")
    private String skillInfo;


    /**
     * 错误答案解析
     */
    @TableField("error_info")
    private String errorInfo;

    /**
     * 章节标识
     */
    @TableField("chapter")
    private Integer chapter;

    /**
     * 选择
     */
    @TableField("options")
    private String options;

    /**
     * 题目类型，1：选择题 2：判断题，3：多选题
     */
    @TableField("type")
    private String type;

    /**
     * 显示序号
     */
    @TableField("show_order")
    private int showOrder;

    /**
     * 源id
     */
    @TableField("origin_id")
    private String originId;

    /**
     * 是否生效
     */
    @TableField("is_active")
    private String isActive;

    /**
     * 题目关键字
     */
    @TableField("title_words")
    private String titleWords;

    /**
     * 答题技巧关键字
     */
    @TableField("skill_words")
    private String skillWords;

    /**
     * 选项A关键字
     */
    @TableField("a_words")
    private String aWords;

    /**
     * 选项B关键字
     */
    @TableField("b_words")
    private String bWords;

    /**
     * 选项C关键字
     */
    @TableField("c_words")
    private String cWords;

    /**
     * 选项D关键字
     */
    @TableField("d_words")
    private String dWords;

}
