package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户答题练习表
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wrj_question_practice")
public class WrjQuestionPractice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 练习标识
     */
    @TableId(value = "practice_id", type = IdType.AUTO)
    private Long practiceId;

    /**
     * 题目标识
     */
    @TableField("question_id")
    private Long questionId;

    /**
     * 用户标识
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 练习类型 1-顺序练习 2-章节练习 3-随机练习 4-模拟考试
     */
    @TableField("practice_type")
    private String practiceType;

    /**
     * 用户选择的答案
     */
    @TableField("answer")
    private String answer;

    /**
     * 业务标识，顺序练习对应顺序练习批次，模拟考试对应考试test_id
     */
    @TableField("business_code")
    private Long businessCode;

    /**
     * 练习时间
     */
    @TableField("practice_time")
    private LocalDateTime practiceTime;

    /**
     * 是否清除
     */
    @TableField("is_clear")
    private Boolean isClear;

}
