package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统配置列表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wrj_sys_config_list")
public class WrjSysConfigList implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 无人机驾驶类型标识,-1为与无人机驾驶类型标识无关
     */
    @TableId("DRIVER_TYPE_ID")
    private Integer driverTypeId;

    @TableField("CONFIG_KEY")
    private String configKey;

    @TableField("CONFIG_ITEM_CODE")
    private String configItemCode;

    @TableField("CONFIG_ITEM_NAME")
    private String configItemName;

    @TableField("CONFIG_ITEM_JSON")
    private String configItemJson;

    @TableField("CONFIG_ITEM_DESC")
    private String configItemDesc;

    /**
     * 显示序号
     */
    @TableField("SHOW_ORDER")
    private Integer showOrder;

    @TableField("PARENT_ITEM_CODE")
    private String parentItemCode;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime createTime;


}
