package com.wrj.driver.server.service;

import com.wrj.driver.server.dto.QuestionAddDto;
import com.wrj.driver.server.dto.QuestionQueryDto;
import com.wrj.driver.server.entity.WrjQuestion;
import com.baomidou.mybatisplus.extension.service.IService;
import com.wrj.driver.server.vo.QuestionVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 无人机题库; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface IWrjQuestionService extends IService<WrjQuestion> {


    /**
     * 根据id 获取题目
     * @param queryDto
     * @return
     */
    QuestionVo queryQuestionById(QuestionQueryDto queryDto);

    /**
     * 根据id列表 批量获取题目
     * @param queryDto
     * @return
     */
    List<QuestionVo> queryQuestionByIdList(QuestionQueryDto queryDto);

    /**
     * 根据查询条件获取列表
     * @param queryDto
     * @return
     */
    List<QuestionVo> queryQuestion(QuestionQueryDto queryDto);

    /**
     * 根据查询条件获取题目Id
     * @param queryDto
     * @return
     */
    List<Long> queryQuestionId(QuestionQueryDto queryDto);

    /**
     * 获取考试题目
     * @param queryDto
     * @return
     */
    List<QuestionVo> getTestQuestion(QuestionQueryDto queryDto);

    /**
     * 获取考试题目Id
     * @param queryDto
     * @return
     */
    List<Long> getTestQuestionId(QuestionQueryDto queryDto);

    /**
     * 修改题库
     * @param questionVo
     * @return
     */
    int updateQuestion(QuestionVo questionVo);


    /**
     * 新增题库
     * @param addDto
     * @return
     */
    Boolean insertQuestion(QuestionAddDto addDto);

    /**
     * 获取专项分类里题目数量
     * @param queryDto
     * @return
     */
    Map<String,Integer> querySpecialNum(QuestionQueryDto queryDto);

}
