package com.wrj.driver.server.service;

import com.wrj.driver.server.entity.WrjSysConfigList;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 系统配置列表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface IWrjSysConfigListService extends IService<WrjSysConfigList> {

    /**
     * 根据configKey和carTypeId查询系统配置列表
     * @param configKey
     * @param carTypeId
     * @return
     */
    List<WrjSysConfigList> querySysConfigList(String configKey, Integer driverTypeId);

    /**
     * 通过多个configKey 和 driverTypeId 查询多个配置列表
     * @param configKeyList
     * @param driverTypeId
     * @return
     */
    Map<String, Map<String, String>> querySysConfigMap(List<String> configKeyList, Integer driverTypeId);

    /**
     * 根据configKey和driverTypeId查询系统配置列表数量
     * @param configKey
     * @param driverTypeId
     * @return
     */
    Integer querySysConfigListNum(String configKey, Integer driverTypeId);
}
